function [phns,prob] = dictlookup(word, dict)
% [phns,prob] = dictlookup(word, dict)
%    Lookup word in dictionary file dict (default bn98-master.dct) and 
%    return a list of all prons, along with their priors.
% 2006-10-26 dpwe@ee.columbia.edu

if nargin < 2;  dict = 'bn98-master.dct'; end

nprons = 0;
phns = []; prob = [];

[s,w]=system(['grep -n "^',upper(word),'(" ',dict,' | sed -e "s/:.*//"']);
linnums=str2num(w);

for linnum = linnums'

  [s,w]=system(['head -',num2str(linnum),' ',dict,' | tail -1']);
  spcs = find(w == ' ');
  paren = find(w == '(');
  prob = [prob,str2num(w(paren+1:(min(spcs)-2)))]; % strip parens
  phnset = [];
  spcs = [spcs,length(w)];  % last 'space' is final carriage return
  for i = 2:length(spcs)
    phnset{i-1} = w(spcs(i-1)+1:spcs(i)-1);
  end
  nprons = nprons+1;
  phns{nprons} = phnset;
end


