function [prons,probs] = spondee2pron(o)
% [prons,probs] = spondee2pron(o)  find pronunciation for spondee
%   o is the orthography for a spondee.  Break it into two 
%   pieces, look each up in the dictionary; if both have prons, 
%   concatentate them.  Return a cell array of cell arrays of 
%   the prons.
% 2006-10-26 dpwe@ee.columbia.edu after bobby's SampleSpondee16k.m

numprons = 0;
probs = 0;

for n=1:length(o)
    spon=o(1:n);
    dee=o(n+1:end);
    
    % Is spon a word?
    [spron, sprob] = dictlookup(spon);

    if (n < length(o))
      % Is (nonempty) dee a word?
      [dpron, dprob] = dictlookup(dee);
    else
      % dummy
      dpron = [];
      dpron{1} = [];
      dprob = 1;
    end
    
    % If both are words
    if length(spron) > 0 & length(dpron) > 0
      % construct each possible pairing
      for i = 1:length(spron)
	for j = 1:length(dpron)
	  numprons = numprons+1;
	  prons{numprons} = [spron{i},dpron{j}];
	  probs(numprons) = sprob(i)*dprob(j);
	end
      end
    end
end

probs = probs/sum(probs);
